<?php
/*
<name>Co2_profil</name>
<creationDate>september 2013</creationDate>
<author>Laurent Jarry alias LJ01</author>
<copyright>Licence GNU/GPL - http://www.gnu.org/licenses/gpl-2.0.html</copyright>
<authorEmail>lau.jarry@free.fr</authorEmail>
<authorUrl>http://www.lj.cmoi.cc/</authorUrl>
<version>3.5</version>
*/           

defined( '_JEXEC' ) or die( 'Restricted access' ); 
jimport('joomla.html.html.bootstrap');

$document =& JFactory::getDocument(); 
$document->addCustomTag( '<link rel="stylesheet" type="text/css" href="'. JURI::base() . 'modules/mod_CO2profil/element/profil.css" title="default" />' );         
                  
   $uri = JURI::getInstance();
   $url = $uri->toString(); 

	$name_profil=$params->get('name_profil');
	$co2profil_color=$params->get('co2profil_color');
	$logo=$params->get('logo');
	$url_logo=$params->get('url_logo');
	$logo_h=$params->get('logo_h');
	$co2_title=$params->get('co2_title');
	$title_txt=$params->get('title_txt');
	$co2_size_title=$params->get('co2_size_title');
	$CO2_help=$params->get('CO2_help');
	$calculink=$params->get('calculink');
	$display_year=$params->get('display_year');
	$graph_res=$params->get('graph_res');
	$table_res=$params->get('table_res');
	$print_icon=$params->get('print_icon');

	$unite_gas=$params->get('unite_gas');
	$unite_gasp=$params->get('unite_gasp');

	$CO2_fioul=$params->get('CO2_fioul');
	$CO2_kmv=$params->get('CO2_kmv');
	$CO2_kmt=$params->get('CO2_kmt');
	$CO2_kma=$params->get('CO2_kma');
	$CO2_elec=$params->get('CO2_elec');
	$CO2_elek=$params->get('CO2_elek');
	$CO2_gas=$params->get('CO2_gas');
	$CO2_gaskwh=$params->get('CO2_gaskwh');
	$CO2_gasp=$params->get('CO2_gasp');
	$CO2_gaspkg=$params->get('CO2_gaspkg');

	$energy_label=$params->get('energy_label'); ?>

<div class="DPEcontent">
<form method="POST" class="myform" action="<?php echo JRoute::_($url); ?>">

<table>
<tr width="20%">
<td>
<?php //display logo
	if ($logo == 1) {  ?>
	  	<a href="http://www.lj01.cmoi.cc/index.php/co2-profil"
		          title="Co2 module"
		          target="_blank">
		    <img src="modules/mod_CO2profil/image/world.png"
		            height="<?php echo $logo_h; ?>"
		            width="<?php echo $logo_h; ?>"
		            align="left">
		</a>
	<?php  }
		
	elseif ($logo == 0) { ?>    
	        <img src="<?php echo $url_logo; ?>" 
                      height="<?php echo $logo_h; ?>"
                      width="<?php echo $logo_h; ?>"
                      align="left">
	<?php  }
                    
	elseif ($logo == 2) {  }      ?>       
  </td>
  
  <td class="cotitle" width="80%">  
	<?php //display title  
	if ($co2_title == 1) { ?> 
		<font color="<?php echo $co2profil_color; ?>">
			<?php echo JText::_('MOD_CO2_WRITE_CONSO'); ?>
		</font>
	<?php  }
		    
	elseif ($co2_title == 0) { ?>
		   <font color="<?php echo $co2profil_color; ?>">
		   	<?php echo $title_txt;?>
		   </font>
	<?php  }

	elseif ($co2_title== 2) {  } ?>
    </td>
  </tr>
</table>
<br>
 
<ul class="nav nav-tabs" id="myTab">
  <li class="active"><a data-toggle="tab" href="#home"><?php echo JText::_('MOD_CO2_CO2_DATA'); ?></a></li>
  <li><a data-toggle="tab" href="#profile"><?php echo JText::_('MOD_CO2_CO2_RESULT'); ?></a></li>
</ul>

<?php 
//début des onglets
echo JHtml::_('bootstrap.startPane', 'myTab', array('active' => 'home'));
echo JHtml::_('bootstrap.addPanel', 'myTab', 'home');
?>

<table class="tabletop" width="100%">
 <tr align="right"> 
    <td class="co2year" width="100%">
	<?php //display year
	if ($display_year == 1) {     ?>
	    <font color="<?php echo $co2profil_color; ?>"> 
		<?php echo JText::_('MOD_CO2_YEAR'); ?>
	    </font>
    
	<SELECT class="select" name="display_year" value="<?php if (isset($_POST['display_year'])){ echo $_POST['display_year'];} ?>">
		<option value="2010"<?php if($_POST['display_year'] == "2010") echo"selected" ?>>2010</option>
		<option value="2011"<?php if($_POST['display_year'] == "2011") echo"selected" ?>>2011</option>
		<option value="2012"<?php if($_POST['display_year'] == "2012") echo"selected" ?>>2012</option>		
		<option value="2013"<?php if($_POST['display_year'] == "2013") echo"selected" ?>>2013</option>		
		<option value="2014"<?php if($_POST['display_year'] == "2014") echo"selected" ?>>2014</option>		
		<option value="2015"<?php if($_POST['display_year'] == "2015") echo"selected" ?>>2015</option>			
    	</SELECT> 
<?php } 

elseif ($display_year == 0) {  }  ?>
   </td>
</tr>
</table>
                
<table width="100%" class="co2form" bordercolor="<?php echo $co2profil_color; ?>" border="1">

<?php //Dislpay name
if ($name_profil == 1) { ?>
  <tr width="100%">
    	<td>
    		<img src="modules/mod_CO2profil/image/nom.png"
    			width="25"
    			height="25" 
    			align="left">
    		<strong>
    			<?php echo JText::_('MOD_CO2_NAME'); ?>
    		</strong>
<br>
    		<input class="inputname" type="text"
    			size="17" 
    			maxlength="27" 
    			name="naam" 
    			value="<?php if (isset($_POST['naam'])){ echo $_POST['naam'];} ?>">
	</td>
  </tr>
<? }
        
elseif ($name_profil == 0) {   }

//Dislpay fuel
if ($CO2_fioul == 1) {  ?>
	<tr width="100%">
	   <td>
    		<img src="modules/mod_CO2profil/image/fioul.png"
    			width="25"
    			height="25" 
    			align="left">
    		<strong><font color="#d43c0f">
    			<?php echo JText::_('MOD_CO2_FIOUL_CONSO'); ?>
    		</font></strong>  					<br>

    		<font color="#d43c0f">
    		<input class="input" name="fioul"
    		       type="text" 
    		       size="6" 
    		       maxlength="6" 
    		       value="<?php if (isset($_POST['fioul'])){ echo $_POST['fioul'];} ?>">
    		       <?php echo JText::_('MOD_CO2_FIOUL_KM'); ?>
    		</font>
	   </td>
  </tr>
<?   }

elseif ($CO2_fioul == 0) {  }

//Dislpay gas
if ($CO2_gas == 1) {    ?>
  <tr width="100%">
    <td>
	    <img src="modules/mod_CO2profil/image/gaz.png" width="25" height="25" align="left">  
	    <strong><font color="#297fd0">
              <?php echo JText::_('MOD_CO2_GAZNAT'); ?>
		  </font></strong>	                     <br>

    		<font color='#297fd0'>
    		<input class="input" name="gas" 
    			type="text" 
    			size="6" 
    			maxlength="6" 
    			value="<?php if (isset($_POST['gas'])){ echo $_POST['gas'];} ?>">
            <? if ($unite_gas == 2) {
                  echo "  ".JText::_('MOD_CO2_GAZNAT_UNITE_M')."  ";  } 
            elseif ($unite_gas == 1) {
                  echo "  ".JText::_('MOD_CO2_GAZNAT_UNITE_K')."  "; }
    		?>
</td></tr>
<tr><td> 
	<img src="modules/mod_CO2profil/image/gaz.png" width="25" height="25" align="left"> 
	    <strong><font color="#297fd0">
              <?php echo JText::_('MOD_CO2_PROPANE'); ?>
		  </font></strong>  				<br>
		<font color='#297fd0'>
    		<input class="input" name="gasp" 
    			type="text" 
    			size="6" 
    			maxlength="6" 
    			value="<?php if (isset($_POST['gasp'])){ echo $_POST['gasp'];} ?>">
                    
            <? if ($unite_gasp == 2) {
                   echo "  ".JText::_('MOD_CO2_PROPANE_UNITE_M')."  ";  } 
               elseif ($unite_gasp == 1) {
                  echo "  ".JText::_('MOD_CO2_PROPANE_UNITE_K')."  ";     }
            ?>					
	   	 </font>
	   </td>
   </tr>
   
<?      }
elseif ($CO2_gas == 0) {  }

//Dislpay electricity
if ($CO2_elec == 1) {    

if ($_POST['chelec'] == "N") {
  $chelec_N = "CHECKED";
  $chelec_O = "";    } 
  else {
  $chelec_N = "";
  $chelec_O = "CHECKED";    } 
  
?>
  <tr width="100%">
     	<td>
	   	<img src="modules/mod_CO2profil/image/electricite.png" width="25" height="25" align="left">
		    <strong><font color="#006600"><?php echo JText::_('MOD_CO2_ELEC_CONSO'); ?></strong>      <br>
     		
         <font color="#006600">
    		<input class="input" name="elek"
    			type="text" 
    			size="6" 
    			maxlength="6" 
    			value="<?php if (isset($_POST['elek'])){ echo $_POST['elek'];} ?>"> kWh
    		</font>
<br>
    		<font color="#006600">
     	  	<input type="radio" 
    			name="chelec" 
    			value="N" <?php echo $chelec_N;?>>
               		<?php echo JText::_('MOD_CO2_ELEC_NO'); ?>   		
    	  	<input type="radio" 
    			name="chelec" 
    			value="O" <?php echo $chelec_O;?>>
               		<?php echo JText::_('MOD_CO2_ELEC_YES'); ?>
    		</font>

<?  }

elseif ($CO2_elec == 0) {  } ?>
	  

<?php //Dislpay plane

if ($CO2_kma == 1) {  
if ($_POST['classaffaire'] == "b") {
  $classaffaire_1 = "CHECKED";
  $classaffaire_2 = "";    } 
  else {
  $classaffaire_1 = "";
  $classaffaire_2 = "CHECKED";    } 
    ?>

 <tr>
     <td>	<img src="modules/mod_CO2profil/image/avion.png" width="25" height="25" align="left">
      		<strong>
            <font color="#FF6600"><?php echo JText::_('MOD_CO2_AVION_CONSO'); ?>
      		</strong>                                                              <br>

      		<font color="#FF6600">
      		<input  class="input" name="kma" 
      			type="text" 
      			size="6" 
      			maxlength="6" 
      		  value="<?php if (isset($_POST['kma'])){ echo $_POST['kma'];} ?>">  
      			<?php echo JText::_('MOD_CO2_AVION_KM'); ?>
      		</font>
 <br>
      		<font color="#FF6600">		
      		<input type="radio"  
      			name="classaffaire" 
      			value="b" <?php echo $classaffaire_1;?>>
                   		<?php echo JText::_('MOD_CO2_AVION_CLASS1'); ?>
      	  	<input type='radio' 
      			name='classaffaire' 
      			value="d" <?php echo $classaffaire_2;?>>
                      <?php echo JText::_('MOD_CO2_AVION_CLASS2'); ?>
      		</font>
	   </td>
  </tr>

<? }

elseif ($CO2_kma == 0) {  }

//Dislpay train
if ($CO2_kmt == 1) {  

if ($_POST['modetrain'] == "b") {
  $modetrain_1 = "CHECKED";
  $modetrain_2 = "";    } 
  else {
  $modetrain_1 = "";
  $modetrain_2 = "CHECKED";    } 
?>
  <tr>
	   <td>	<img src="modules/mod_CO2profil/image/train.png" width="25" height="25" align="left">
    		<strong>
    			<font color="#e3ac11"><?php echo JText::_('MOD_CO2_TRAIN_CONSO'); ?></font>
    		</strong>                                                                   <br>

      		<font color="#e3ac11">
      		<input class="input" name="kmt" 
      			type="text" 
      			size="6" 
      			maxlength="6" 
      		value="<?php if (isset($_POST['kmt'])){ echo $_POST['kmt'];} ?>"> km
      		</font>
<br>
    		<font color="#e3ac11">
    		<input type="radio" 
    			name="modetrain" 
    			value='b' <?php echo $modetrain_1;?>> 
                 		<?php echo JText::_('MOD_CO2_TRAIN_LIGNE'); ?>
          <input type="radio" 
    			name="modetrain" 
    			value='d' <?php echo $modetrain_2;?>>
               		<?php echo JText::_('MOD_CO2_TRAIN_LOCAL'); ?>
    		</font>
	   </td>
  </tr>
<?  }

elseif ($CO2_kmt == 0) {  }

//Dislpay car
if ($CO2_kmv == 1) {  ?>
  <tr>
       <td> <img src="modules/mod_CO2profil/image/voiture.png" width="25" height="25" align="left">
      		<strong>
      			<font color="#6367ba"><?php echo JText::_('MOD_CO2_VOITURE_CONSO'); ?></font>
      		</strong>
							  <br>
    		<font color="#6367ba">
    		<input class="input" name="kmv" 
    			type="text" 
    			size="6" 
    			maxlength="6" 
      		value="<?php if (isset($_POST['kmv'])){ echo $_POST['kmv'];} ?>">  
    			<?php echo JText::_('MOD_CO2_VOITURE_KM'); ?>
    		</font>
	   </td>
  <tr>
  
<?php  }

elseif ($CO2_kmv == 0) {  }
?> 
                 
</table>     
   </form>
   
<table width="100%">
	<td width="50%">
		<input type="submit" class="submit" name="co2_calcul" value="<?php echo JText::_('MOD_CO2_SUBMIT'); ?>"></font>
	</td>
	<td width="50%">
        <?php  //display help         
        if ($CO2_help == 1) {  ?>
        <div align="right" >
        		<a target="_blank" href="http://lau.jarry.free.fr/help/aideProfil.pdf">
        			<font size="1" color="<?php echo $co2profil_color; ?>">
				<?php echo JText::_('MOD_CO2_AIDE'); ?>
				</font>
        		</a>
        </div>  
	<?php  }         
        	elseif ($CO2_help == 0) {   
        	echo ""; }
        ?>
	</td>
</table>

<?php
echo JHtml::_('bootstrap.endPanel');
echo JHtml::_('bootstrap.addPanel', 'myTab', 'profile');
       
//calcul method 
$fioul = JRequest::getInt('fioul', 0, 'POST');  
$gas = JRequest::getInt('gas', 0, 'POST');  
$gasp = JRequest::getInt('gasp', 0, 'POST');  
$elek = JRequest::getInt('elek', 0, 'POST');  
$kma = JRequest::getInt('kma', 0, 'POST');  
$kmv = JRequest::getInt('kmv', 0, 'POST');  
$kmt = JRequest::getInt('kmt', 0, 'POST');  
$naam = JRequest::getString('naam', 0, 'POST'); 

$b_label=$params->get('b_label');
$c_label=$params->get('c_label');
$d_label=$params->get('d_label');
$e_label=$params->get('e_label');
$f_label=$params->get('f_label');
$g_label=$params->get('g_label');
$label_h=$params->get('label_h');

$compensate_factor=$params->get('compensate_factor');
$co2_compensate=$params->get('co2_compensate');

if ($unite_gas == 2)
        $co2_gas=$params->get('kgCO2_gas');
if ($unite_gas == 1)
        $co2_gas=$params->get('kgCO2_gaskwh');
$uitkomst_gas = $gas * $co2_gas;

if ($unite_gasp == 2)
        $co2_gasp=$params->get('kgCO2_gasp');
if ($unite_gasp == 1)
        $co2_gasp=$params->get('kgCO2_gaspkg');
$uitkomst_gasp = $gasp * $co2_gasp;

$kgCO2_fioul=$params->get('kgCO2_fioul');
$uitkomst_fioul = $fioul * $kgCO2_fioul;

   if ($_POST["chelec"]=="O")
		$kgCO2_elek=$params->get('kgCO2_elec');
	else $kgCO2_elek=$params->get('kgCO2_elek'); 

$uitkomst_elek = $elek * $kgCO2_elek;

$kgCO2_kmv=$params->get('kgCO2_kmv');
$uitkomst_kmv = $kmv * $kgCO2_kmv; 

    if ($_POST["classaffaire"]=="b") 
		$kgCO2_kma=$params->get('kgCO2_kma1'); 
    if ($_POST["classaffaire"]=="d")
		$kgCO2_kma=$params->get('kgCO2_kma2');
	
$uitkomst_kma = $kma * $kgCO2_kma; 

   if ($display_year == 1) 
		$display_year = $_POST["display_year"];
   if ($display_year == 0)
		$display_year=$params->get('select_year');
                     
   if ($_POST["modetrain"]=="b") 
		$kgCO2_kmt=$params->get('kgCO2_kmt1'); 
   if ($_POST["modetrain"]=="d")
		$kgCO2_kmt=$params->get('kgCO2_kmt2');

$uitkomst_kmt = $kmt * $kgCO2_kmt;

$uitkomst = ($uitkomst_elek + $uitkomst_gas + $uitkomst_kmv + $uitkomst_fioul + $uitkomst_gasp + $uitkomst_kma + $uitkomst_kmt) / 1000;
$uitkomst_kg = ($uitkomst_elek + $uitkomst_gas + $uitkomst_kmv + $uitkomst_fioul + $uitkomst_gasp + $uitkomst_kma + $uitkomst_kmt);

$bomen=$uitkomst/417/1000;
$bomen=round($bomen, 2);
$bomen1=$uitkomst*12/1000/1000;
$bomen1=round($bomen1, 2);

if ($uitkomst> 0) {
$fioul_perc=$uitkomst_fioul/$uitkomst*100/1000;
$fioul_perc=round($fioul_perc, 0);

$gaz_perc=($uitkomst_gas+$uitkomst_gasp)/$uitkomst*100/1000;
$gaz_perc=round($gaz_perc, 0);

$elec_perc=$uitkomst_elek/$uitkomst*100/1000;
$elec_perc=round($elec_perc, 0);

$avion_perc=$uitkomst_kma/$uitkomst*100/1000;
$avion_perc=round($avion_perc, 0);

$voit_perc=$uitkomst_kmv/$uitkomst*100/1000;
$voit_perc=round($voit_perc, 0);

$train_perc=$uitkomst_kmt/$uitkomst*100/1000;
$train_perc=round($train_perc, 0);

$compensation=$compensate_factor*$uitkomst;
$gast=$uitkomst_gas+$uitkomst_gasp;
}

//affiche info "faire la saisie si rien de saisie "
	if (empty($uitkomst)) {
?> 
<table width="100%">
	<tr>
		<td align="center"><font color="bkue">
        <?php  echo JText::_("MOD_CO2_ERROR");
 ?>   
    </font></td>
	</tr>
</table>  

<?php //close empty
        }   
        
//execute Calcul 
if (isset($_POST[co2_calcul])) {

  //affiche les étiquettes si données saisies        
	if ($uitkomst > 0) { 

//Title res
if ($name_profil == 1) {   ?>
<table class="tabletop" width="100%" align="center" cellspacing='0' cellpadding='0'>
  <tr>
<td height="100%"> <h3 align="center" height="100%">
		<font color="<?php echo $co2profil_color; ?>">
		    <?php echo JText::_('MOD_CO2_RESULTAT'); echo $_POST[naam]; ?>
		<br> <?php echo JText::_('MOD_CO2_EN'); echo $display_year; ?>
		</font>
 </h3>
	<h4 align="center"> 
		<font color="<?php echo $co2profil_color; ?>">
			<?php echo round($uitkomst,1) ?> <?php echo JText::_('MOD_CO2_TONNE'); ?>
		</font>
	</h4>
</td></tr>
</table>    
<?php    }
    elseif ($name_profil == 0) {   }
    
//grah res
if ($graph_res == 1) {   ?>

<table width="100%" border="1" width="100%" bordercolor="<?php echo $co2profil_color; ?>">
        	<tr>
        	    <td><table class="co2formgraph" width="100%"></td>
       		</tr>

<?php	if ($CO2_fioul == 1 && $fioul_perc > 0) { ?>
	      <td width="17%">
			<div align="center">
				<font color="#d43c0f"><?php echo $fioul_perc; ?>%</font>
			</div>
		</td> 
	<?php }
	elseif ($CO2_fioul == 0) {  }

	if ($CO2_elec == 1 && $elec_perc > 0) {  ?>
	      <td width="17%">
			<div align="center">
				<font color="#006600"><?php echo $elec_perc; ?>%</font>
			</div>
			</td>  
	<?php }
	elseif ($CO2_elec == 0) {  }

	if ($CO2_gas == 1 && $gaz_perc > 0) { ?>
              <td width="17%">
			<div align="center">
				<font color="#297fd0"><?php echo $gaz_perc; ?>%</font>
			</div>
		</td>
	<?php }
	elseif ($CO2_gas ==01) {  }

	if ($CO2_kma == 1 && $avion_perc > 0) {  ?>
              <td width="17%">
			<div align="center">
				<font color="#FF6600"><?php echo $avion_perc; ?>%</font>
			</div>
			</td>
	<?php }
	elseif ($CO2_kma == 0) {  }

	if ($CO2_kmv == 1 && $voit_perc > 0) { ?>
	    <td width="17%">
			<div align="center">
				<font color="#6367ba"><?php echo $voit_perc; ?>%</font>
			</div>
		</td>
	<?php }
	elseif ($CO2_kmv == 0) {  }

	if ($CO2_kmt == 1 && $train_perc > 0) { ?>
              <td width="17%">
			<div align="center">
				<font color="#e3ac11"><?php echo $train_perc; ?>%</font>
			</div>
		</td>
	<?php }
	elseif ($CO2_kmt == 0) {  } ?>
</table>     

       		<tr valign="bottom">
       		     <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
       		</tr>

        <?php if ($CO2_fioul == 1 && $fioul_perc > 0) { ?>
	      <td height="100" width="17%">
		<img src="modules/mod_CO2profil/image/rouge.png" 
			height="<?php echo $fioul_perc; ?>%"
			width="99%" title="fioul" 
			onClick="javascript:alert(\'<?php echo $uitkomst_fioul; ?> kg de Co2 \')"></td>
	<?php }  elseif ($CO2_fioul == 0) {  } ?>

        <?php if ($CO2_elec == 1 && $elec_perc > 0) { ?>
	      <td height="100" width="17%">
		<img src="modules/mod_CO2profil/image/vert.png" 
			height="<?php echo $elec_perc; ?>%" 
			width="99%" title="electricité" 
			onClick="javascript:alert(\'<?php echo $uitkomst_elek; ?> kg de Co2 \')"></td>
	<?php }  elseif ($CO2_elec == 0) {  } ?>

        <?php if ($CO2_gas == 1 && $gaz_perc > 0) { ?>
	     <td height="100" width="17%">
		<img src="modules/mod_CO2profil/image/bleu.png" 
			height="<?php echo $gaz_perc; ?>%" 
			width="99%" title="gaz" 
			onClick="javascript:alert(\'<?php echo $gast; ?> kg de Co2 \')"></td>
	<?php } elseif ($CO2_gas == 0) {  } ?>
            
        <?php if ($CO2_kma == 1 && $avion_perc > 0) { ?>
	      <td height="100" width="17%">
		<img src="modules/mod_CO2profil/image/orange.png" 
			height="<?php echo $avion_perc; ?>%" 
			width="99%" title="avion" 
			onClick="javascript:alert(\'<?php echo $uitkomst_kma; ?> kg de Co2 \')"></td>
	<?php } elseif ($CO2_kma == 0) {  } ?>
             
        <?php if ($CO2_kmv == 1 && $voit_perc > 0) { ?>
	      <td height="100" width="17%">
		<img src="modules/mod_CO2profil/image/violet.png" 
			height="<?php echo $voit_perc; ?>%" 
			width="99%" title="voiture" 
			onClick="javascript:alert(\'<?php echo $uitkomst_kmv; ?> kg de Co2 \')"></td>
	<?php } elseif ($CO2_kmv == 0) {  } ?>
           
        <?php if ($CO2_kmt == 1 && $train_perc > 0) { ?>
	      <td height="100" width="17%">
		<img src="modules/mod_CO2profil/image/jaune.png" 
			height="<?php echo $train_perc; ?>%" 
			width="99%" title="train" 
			onClick="javascript:alert(\'<?php echo $uitkomst_kmt; ?> kg de Co2 \')"></td>  
    	<?php } elseif ($CO2_kmt == 1) {  }   ?>     
</table>
                                 
        <tr>
            <td><table width="100%" border="0" cellspacing="0" cellpadding="0"></td>
        </tr>
    	<?php if ($CO2_fioul == 1 && $fioul_perc > 0) { ?>
                <td width="17%"><div align="center"><font color="#d43c0f">
			<?php echo JText::_('MOD_CO2_FIOUL_GRAPH'); ?></font></div></td>
    		<?php } elseif ($CO2_fioul == 0) {  } ?>
        <?php if ($CO2_elec == 1 && $elec_perc > 0) { ?>
	        <td width="17%"><div align="center"><font color="#006600">
			<?php echo JText::_('MOD_CO2_ELEC_GRAPH'); ?></font></div></td>
    		<?php } elseif ($CO2_elec == 0) {  } ?>
        <?php if ($CO2_gas == 1 && $gaz_perc > 0) { ?>
	        <td width="17%"><div align="center"><font color="#297fd0">
			<?php echo JText::_('MOD_CO2_GAZNAT_GRAPH'); ?></font></div></td>
    		<?php } elseif ($CO2_gas == 0) {  } ?>
        <?php if ($CO2_kma == 1 && $avion_perc > 0) { ?>
                <td width="17%"><div align="center"><font color="#FF6600">
			<?php echo JText::_('MOD_CO2_AVION_GRAPH'); ?></font></div></td>
    		<?php } elseif ($CO2_kma == 0) {  } ?>
        <?php if ($CO2_kmv == 1 && $voit_perc > 0) { ?>
                <td width="17%"><div align="center"><font color="#6367ba">
			<?php echo JText::_('MOD_CO2_VOITURE_GRAPH'); ?></font></div></td>
    		<?php } elseif ($CO2_kmv == 0) {  } ?>
        <?php if ($CO2_kmt == 1 && $train_perc > 0) { ?>
	        <td width="17%"><div align="center"><font color="#e3ac11">
			<?php echo JText::_('MOD_CO2_TRAIN_GRAPH'); ?></font></div></td> 
        <?php } elseif ($CO2_kmt == 0) {  } ?>
	</table>
</table> 
                               	
<?php //if ($table_res == 0) { echo ""; } ?>
	
<?php     " ";  }

elseif ($graph_res == 1) {  echo "";  } 

//result table
if ($table_res == 1) { ?>

<table width="100%" border="1" class="co2formres" bordercolor="<?php echo $co2profil_color; ?>">
	<tr>
    		<td width="60%"><strong><font color="<?php echo $co2profil_color; ?>"><strong><center>
			<?php echo JText::_('MOD_CO2_EMISSION_CO2'); ?></center></strong></td>
    		<td width="40%"><strong><font color="<?php echo $co2profil_color; ?>"><center>
			<?php echo JText::_('MOD_CO2_PAR_AN'); ?></center></strong></td>
	</tr>
	<br>

		<?php if ($CO2_fioul == 1 && $fioul_perc > 0) { ?>
	<tr>
		<td width="60%"><strong><font color="#d43c0f"><?php echo JText::_('MOD_CO2_FIOUL_RES'); ?></strong></font></td>
		<td width="40%"><strong><center><font color="#d43c0f"><?php echo number_format($uitkomst_fioul, 0, ',', ' '); ?></center></strong></font></td>
 	</tr>
		<?php } elseif ($CO2_fioul == 0) {  } ?>

		<?php if ($CO2_elec == 1 && $elec_perc > 0) { ?>
	<tr>
		<td><strong><font color="#006600"><?php echo JText::_('MOD_CO2_ELEC_RES'); ?> </strong></font></td>
   		<td><strong><center><font color="#006600"><?php echo number_format($uitkomst_elek, 0, ',', ' '); ?></center></strong></font></td>
         </tr>
		<?php } elseif ($CO2_elec == 0) {  } ?>

		<?php if ($CO2_gas == 1 && $uitkomst_gas > 0) { ?>
	<tr>
		<td><strong><font color="#297fd0"> <?php echo JText::_('MOD_CO2_GAZNAT'); ?></font></td>
   		<td><strong><center><font color="#297fd0"><?php echo number_format($uitkomst_gas, 0, ',', ' '); ?></center></strong></font></td>
         </tr>
		<?php } elseif ($CO2_gas == 0) {  } ?>

		<?php if ($CO2_gas == 1 && $uitkomst_gasp > 0) { ?>
	<tr>
    		<td><strong><font color="#297fd0"><?php echo JText::_('MOD_CO2_PROPANE'); ?></strong></font></td>
   		<td><strong><center><font color="#297fd0"><?php echo number_format($uitkomst_gasp, 0, ',', ' '); ?></center></strong></font></td>
    </tr>
		<?php } elseif ($CO2_gas == 0) {  } ?>

		<?php if ($CO2_kma == 1 && $avion_perc > 0) { ?>
	<tr>
  		<td><strong><font color="#FF6600"><?php echo JText::_('MOD_CO2_AVION'); ?></strong></font></td>
 		<td><strong><center><font color="#FF6600"><?php echo number_format($uitkomst_kma, 0, ',', ' '); ?></center></strong></font></td>
  	</tr>
		<?php } elseif ($CO2_kma == 0) {  } ?>

		<?php if ($CO2_kmv == 1 && $voit_perc > 0) { ?>
	<tr>
  		<td><strong><font color="#6367ba"> <?php echo JText::_('MOD_CO2_VOITURE'); ?></strong></font></td>
  		<td><strong><center><font color="#6367ba"><?php echo number_format($uitkomst_kmv, 0, ',', ' '); ?></center></strong></font></td>
  	</tr>
		<?php } elseif ($CO2_kmv == 0) {  } ?>

		<?php if ($CO2_kmt == 1 && $train_perc > 0) { ?>
	<tr>
  		<td><strong><font color="#e3ac11"> <?php echo JText::_('MOD_CO2_TRAIN'); ?></strong></font></td>
  		<td><strong><center><font color="#e3ac11"><?php echo number_format($uitkomst_kmt, 0, ',', ' '); ?></center></strong></font></td>
  	</tr>
		<?php } elseif ($CO2_kmt == 0) {  } ?>
  	
	<tr>
  		<td><strong><font color="<?php echo $co2profil_color; ?>"><center> <?php echo JText::_('MOD_CO2_TOTAL'); ?> </center> </td>
 		<td><b><font color="<?php echo $co2profil_color; ?>"><center>
			<?php echo number_format($uitkomst_kg, 0, ',', ' '); ?> kg
		</center></strong></font></td>
	 </tr>
</table> 
<?php }

elseif ($table_res == 0) {  } 

//display co2 label
if ($energy_label == 1) {

// Display Images label Co2 et Kwh
	if ($uitkomst <= $b_label)
		$imagenrj = a ;
	elseif ($uitkomst > $b_label && $uitkomst <= $c_label)
		$imagenrj = b ;
	elseif ($uitkomst > $c_label && $uitkomst <= $d_label)
		$imagenrj = c ;
	elseif ($uitkomst > $d_label && $uitkomst <= $e_label)
		$imagenrj = d ;
	elseif ($uitkomst > $e_label && $uitkomst <= $f_label)
		$imagenrj = e ;
	elseif ($uitkomst > $f_label && $uitkomst <= $g_label)
		$imagenrj = f ;
	elseif ($uitkomst > $g_label)
		$imagenrj = g ;
?>
<br>
<table width="100%" align="center" cellspacing="0" cellpadding="0">
	<tr><td align="center" width="100%">
	<img src="/modules/mod_CO2profil/image/profil_<?php echo $imagenrj; ?>.gif" 
		width="100%"
    		align="center">
	</td></tr>
</table>

<?  }  elseif ($energy_label == 0) {  } 

//display compensate Co2 icon
if ($co2_compensate == 1) { ?>
<br>
<table>
<tr>
	<td width="100%">	
		<div class="co2compensate">
			<a href="http://www.ingall-niger.org/index.php/co2" title="Compenser" target="_blank">
			   	<img src="modules/mod_CO2profil/image/world.png" 
					width="25" 
					height="25" 
					align="left">
				<font color="<?php echo $co2profil_color; ?>">
					<?php echo JText::_('MOD_CO2_COMPENSATE'); ?>
				</font>
		  	</a>
		</div>  		       
<?php 	}  elseif ($co2_compensate == 0) {  }  ?>

</td>
<td width="20%">
                 
<?php //display print icon
if ($print_icon == 1) { ?>

	<form method="POST" action="/modules/mod_CO2profil/element/printpdf.php" target="_blank">

	<input type="hidden" name="naam" value="<?php echo $naam; ?>" />
	<input type="hidden" name="display_year" value="<?php echo $display_year; ?>" />
	<input type="hidden" name="uitkomst" value="<?php echo $uitkomst; ?>" />
	<input type="hidden" name="uitkomst_kg" value="<?php echo round($uitkomst_kg,0); ?>" />
	<input type="hidden" name="imagenrj" value="<?php echo $imagenrj; ?>" />
	
	<input type="hidden" name="fioul" value="<?php echo round($uitkomst_fioul,0); ?>" />
	<input type="hidden" name="elek" value="<?php echo round($uitkomst_elek,0); ?>" />
	<input type="hidden" name="gas" value="<?php echo round($uitkomst_gas,0); ?>" />
	<input type="hidden" name="gasp" value="<?php echo round($uitkomst_gasp,0); ?>" />
	<input type="hidden" name="kma" value="<?php echo round($uitkomst_kma,0); ?>" />
	<input type="hidden" name="km" value="<?php echo round($uitkomst_kmv,0); ?>" />
	<input type="hidden" name="kmt" value="<?php echo round($uitkomst_kmt,0); ?>" />
	
	<input type="hidden" name="fioul_perc" value="<?php echo round($fioul_perc,0); ?>" />
	<input type="hidden" name="elec_perc" value="<?php echo round($elec_perc,0); ?>" />
	<input type="hidden" name="gaz_perc" value="<?php echo round($gaz_perc,0); ?>" />
	<input type="hidden" name="avion_perc" value="<?php echo round($avion_perc,0); ?>" />
	<input type="hidden" name="voit_perc" value="<?php echo round($voit_perc,0); ?>" />
	<input type="hidden" name="train_perc" value="<?php echo round($train_perc,0); ?>" />

	<input type="image" src="modules/mod_CO2profil/image/print.png" 
			width="25" 
			height="25" 
			align="right" 
			border="0" 
			alt="Edit" />
	</form>   
</td>
</tr>


<?php } elseif ($print_icon == 0) {  } 

 } echo $result; 

echo JHtml::_('bootstrap.endPanel');
echo JHtml::_('bootstrap.endPane', 'myTab'); 
}

    /*  debug code
echo 'Var POST : '.count($_POST).'<pre>';
print_r($_POST);
echo '</pre>';  */

?>      
  </table>
</div>
